<?php

require_once '../includes/start.php';
require_once '../includes/function.php';
require_once '../includes/header1.php';

if($game==0 OR $level==0 OR $ban!=0){
		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
}else{
	$w=$_GET['w'];
	$q = mysql_query("SELECT * FROM `war` WHERE `id`='".check(mysql_real_escape_string($w))."'");
	$f = mysql_fetch_array($q);
	$s = mysql_query("SELECT * FROM `planet` WHERE `id`='".$f['planet']."'");
	$p = mysql_fetch_array($s);
	switch ($act) {
	default:
	echo "<title>Текущие войны</title>";
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1">Текущие войны</div>';
	$PAGINGS1 = mysql_query("SELECT * FROM `war` WHERE `uid1`='".$use_id."' OR `uid2`='".$use_id."' ORDER BY `id` ASC");
	if($PAGINGS1 > 0)
	{
		while($row1 = mysql_fetch_array($PAGINGS1))
		{
			echo '<div class="blok"><img src="../images/war.jpg" alt="image" /> ';
			if($row1['uid1']==$use_id)echo '<span class="green">Война:</span> <a href="?act=info&amp;w='.$row1['id'].'"><span class="'.crasa($row1['rasa2']).'">'.$row1['name'].'</span></a>';
			if($row1['uid2']==$use_id)echo '<span class="red">Война:</span> <a href="?act=info&amp;w='.$row1['id'].'"><span class="'.crasa($row1['rasa1']).'">'.$row1['name'].'</span></a>';
			echo ' ['.$row1['zahv'].'/49]</div>';
		}}
	break;
	
	case 'info':
	if($f['uid1']==$use_id OR $f['uid2']==$use_id){
	echo '<div class="top">'.rasa($f['rasa1']).' <a href="../p/anketa.php?id='.$f['uid1'].'"><span class="'.crasa($f['rasa1']).'">'.$f['login1'].'</span></a> vs '.rasa($f['rasa2']).' <a href="../p/anketa.php?id='.$f['uid2'].'"><span class="'.crasa($f['rasa2']).'">'.$f['login2'].'</span></a></div>';
	if($f['uid1']==$use_id)echo '<div class="conts">Планета: <a href="../game/sosed.php?act=pl&s='.$f['sosed'].'"><span class="'.crasa($f['rasa2']).'">'.$f['name'].'</span></a>';
	if($f['uid2']==$use_id)echo '<div class="conts">Планета: <a href="../game/sosed.php?act=pl&s='.$f['sosed'].'"><span class="'.crasa($f['rasa2']).'">'.$f['name'].'</span></a> [ваша]';
	echo '<br/><a href="../game/sector.php?x='.$p['x'].'&amp;y='.$p['y'].'">Координаты:</a> x:'.$p['x'].' y:'.$p['y'].'<br/>
	Начало войны: '.dates($f['time']).'</div>';
	echo '<div class="cont">Захвачено '.$f['zahv'].' из 49 локаций<br/>';
	$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `planet_loc` WHERE `uid`='".$use_id."' AND `occupy`=1 AND `planet_id`='".$p['id']."' AND `x`=4 AND `y`=4;"), 0);
	if($f['uid1']==$use_id){
	if($count!=0){
	echo '<img src="../images/war.jpg" alt="image" /> <a href="zahvat.php?w='.$f['id'].'">Захватить планету</a>';
	if(($lvl_hero/10)<$maxplanet)echo ' <span class="red">[недоступно]</span>';
	echo '<br/>Противник потеряет эту планету и она полностью перейдет под ваше управление<br/>';
	echo '<img src="../images/war.jpg" alt="image" /> <a href="zahvat.php?act=destroy&amp;w='.$f['id'].'">Уничтожить планету</a><br/>Вы получите часть ресурсов противника и на месте уничтоженной планеты образуется портал под вашим управлением<br/>';}else{
	echo '<img src="../images/war.jpg" alt="image" /> Для захвата или уничтожения планеты необходимо контролировать ее центральную локацию [x:4 y:4]';
	}}
	echo '</div>';
	echo '<div class="top">Карта планеты</div>';
$mm = mysql_query("SELECT * FROM `planet_loc` WHERE `planet_id`='".$p['id']."' AND `x`=3 AND `y`=3 LIMIT 1");
$map = mysql_fetch_array($mm);  
$x1=4-3;
$y1=4+3;
$wave=1;
$table=1;
echo '<div class="conts" align="center"><table cellspacing="0" cellpadding="0">';
while($wave<='49'){
if($table=='8'){
$table='1';
$x1=$x1-'7';
$y1=$y1-'1';}
$mm1 = mysql_query("SELECT * FROM `planet_loc` WHERE `planet_id`='".$p['id']."' AND `x`='".$x1."' AND `y`='".$y1."' LIMIT 1");
$map1 = mysql_fetch_array($mm1);

if($table=='1')echo'<tr border="0" HEIGHT="18">';
echo'<td BGCOLOR="black">';
echo ''.m($map1['type'], $map1['occupy'], $use_id, $map1['uid'], $f['rasa2']).'';
echo'</td>';
if($table=='7')echo'</tr>';

$wave++;
$table++;
$x1++;
}

echo'</table></div><div class="conts">';
echo '<img src="../images/army.gif" alt="image" /> <a href="?act=army&amp;w='.$f['id'].'">Отряды на планете</a>';
echo '</div>';
}
break;
case 'army':
if($f['uid1']==$use_id OR $f['uid2']==$use_id){
echo '<div class="top">Отряды на планете</div>';
	$PAGINGS = mysql_query("SELECT * FROM `army` WHERE `onpl`='".$p['id']."' ORDER BY `id` ASC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{

			echo '<div class="conts">';
			echo '<img src="../images/army.gif" alt="image" /> Отряд <span class="'.crasa($row['rasa']).'">'.$row['name'].'</span> ';
			if($row['time']>=$realtime)echo '['. intval(($row['time']-$realtime)/60) .' минут]';
			if($row['uid']==$use_id)echo '[<span class="green">ваш</span>]';
			if($row['fr_id']==$fr_id AND $fr_id!=0 AND $row['uid']!=$use_id)echo ' [<span class="blue">союзник</span>]';
			if($row['uid']!=$use_id AND (($fr_id==$row['fr_id'] AND $fr_id==0 AND $row['fr_id']==0) OR ($fr_id!=$row['fr_id'] AND $fr_id!=0 AND $row['fr_id']==0) OR ($fr_id!=$row['fr_id'] AND $fr_id==0 AND $row['fr_id']!=0) OR ($fr_id!=$row['fr_id'] AND $fr_id!=0 AND $row['fr_id']!=0)))echo ' [<span class="red">противник</span>]';
			echo '<br/>Расположение: x:'.$row['xpl'].' y:'.$row['ypl'].'';
			echo '</div>';
	}

	}
	echo '<div class="conts"><a href="?act=info&amp;w='.$f['id'].'"><<Назад</a></div>';}
break;
	}
}
echo '<div class="razd"></div>';
echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
echo '<div class="razd"></div>';
require_once '../includes/footer1.php';
?>
